Bug 2060299 - Upgrade to Go 1.17 in Fedora 35
Summary: Upgrade to Go 1.17 in Fedora 35
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 35
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Alejandro Sáez Morollón
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-03 09:12 UTC by Fhiss
Modified: 2022-03-15 11:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-03 10:58:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Fhiss 2022-03-03 09:12:09 UTC
Hi all, I am building a project on Fedora 35 and encountered this when building.

> $ go version
> go version go1.16.14 linux/amd64

> ../../../go/pkg/mod/golang.zx2c4.com/wireguard@v0.0.0-20211017052713-f87e87af0d9a/tun/tun_linux.go:24:2: //go:build comment without // +build comment
> src/tuntap/tun.go:20:2: //go:build comment without // +build comment
> error: Bad exit status from /var/tmp/rpm-tmp.WxbBf8 (%build)

https://paste.c-net.org/MustacheSuckers

Upgrade to go 1.17 in Fedora 35 should fix it.

Comment 1 Alejandro Sáez Morollón 2022-03-03 10:58:08 UTC
(In reply to Fhiss from comment #0)
> Hi all, I am building a project on Fedora 35 and encountered this when
> building.
> 
> > $ go version
> > go version go1.16.14 linux/amd64
> 
> > ../../../go/pkg/mod/golang.zx2c4.com/wireguard@v0.0.0-20211017052713-f87e87af0d9a/tun/tun_linux.go:24:2: //go:build comment without // +build comment
> > src/tuntap/tun.go:20:2: //go:build comment without // +build comment
> > error: Bad exit status from /var/tmp/rpm-tmp.WxbBf8 (%build)
> 
> https://paste.c-net.org/MustacheSuckers
> 
> Upgrade to go 1.17 in Fedora 35 should fix it.

Sorry, but Fedora 35 cannot be upgraded to go 1.17. I'll try to create a module so users can activate Go 1.17 in Fedora 34 and Fedora 35 as soon as I can to fix this situation but as the default package, Go in Fedora 35 will remain in 1.16.
The main reason is that major changes like bumping up a major release of a compiler can only happen during the mass rebuild phase.

FYI Fedora 36 will have Go 1.18.

Comment 2 Dave Dykstra 2022-03-04 18:38:25 UTC
When go1.18 is released, go1.16 will no longer be supported for security updates, according to the go release policy:

https://go.dev/doc/devel/release#policy

So updating Fedora (on any active release) & EPEL7 to go1.17 at that point will be necessary, especially if there are any significant security problems fixed in the go1.17 release line that also affects older versions.  That is, unless we intend to backport the security fixes, and I don't think that has typically been done for the golang package.

Comment 3 Alejandro Sáez Morollón 2022-03-07 16:33:13 UTC
(In reply to Dave Dykstra from comment #2)
> When go1.18 is released, go1.16 will no longer be supported for security
> updates, according to the go release policy:
> 
> https://go.dev/doc/devel/release#policy
> 
> So updating Fedora (on any active release) & EPEL7 to go1.17 at that point
> will be necessary, especially if there are any significant security problems
> fixed in the go1.17 release line that also affects older versions.  That is,
> unless we intend to backport the security fixes, and I don't think that has
> typically been done for the golang package.

I submitted an issue to discuss this in the next Go SIG meeting.

https://pagure.io/GoSIG/go-sig/issue/38

Comment 4 Alejandro Sáez Morollón 2022-03-15 11:00:16 UTC
I updated the issue[0] with the result of the meeting.


https://pagure.io/GoSIG/go-sig/issue/38


Note You need to log in before you can comment on or make changes to this bug.